QGIS Server: Rectangles are not printed to PDF with getPrint command

2013-02-19 08:13 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 16232

Description

This may be some side-effect of some of the recent changes in the print composer.

If you draw a rectangle in the print composer it is not correctly output with the getPrint command in QGIS server of current master. It

works from QGIS desktop when you output it to PDF, but not from QGIS server with the GetPrint command.

It still works with version dd1bb457d2bc0a7f281f1ae97bae6b309e49179d from eight days ago (2013-02-11) but not with current master

from 2013-02-19.

History

#1 - 2013-02-20 01:28 AM - Andreas Neumann

I believe that the rectangle is drawn, but the border, which was previously black is now white and therefore I did not see it on the white background.

It seems that something changed in the way that the stroke-color was defined.

I also discovered that previously, basic shapes (like rects, ellipses, triangles) had their own fill and stroke settings - and now these settings are gone and

we just have "Frame" and "Background". The problem may have to do with this change. I am not entirely sure if this is good or bad.

Seems this is more a migration bug than a real bug. Once I re-define the stroke-color the rectangles are correclty printed into the PDF - also on QGIS

server. The problem is that I now have about 30 QGIS projects and each has 4-6 layouts - so this means I would have to manually migrate up to 180

layouts - which is a lot of work.

#2 - 2013-05-25 07:03 PM - Nathan Woodrow

- Assignee deleted (Nathan Woodrow)

#3 - 2013-05-27 06:03 AM - Andreas Neumann

- Resolution set to wontfix

- Status changed from Open to Closed

I don't care about this anymore. I have "migrated" all of my projects to the current version.
